#!/bin/sh

# Run this script if specified
if [ $# -gt 0 ]
then
	CRONSCRIPT=$1
	shift
else
	CRONSCRIPT=cron.php
fi
# Pass argument on to cron.php
MODE=""
if [ $# -gt 0 ]
then
	MODE="$1"
	shift
fi
# PHP cli
PHP_BIN=`which php 2>/dev/null||echo /usr/local/bin/php`

# absolute path to magento installation
INSTALLDIR=`dirname $(realpath $0)`

# Only run if we're the only one running
[ -d ${INSTALLDIR}/var/locks ] || mkdir -p -m 777 ${INSTALLDIR}/var/locks
lockf -s -t 0 ${INSTALLDIR}/var/locks/cron.lock \
	${PHP_BIN} -f ${INSTALLDIR}/${CRONSCRIPT} ${MODE}
